<template>
  <div class="query-container">
    <el-form
      ref="form1"
      :rules="rules"
      :model="model"
      :label-position="labelPosition"
      :label-width="labelWidth"
      @submit.prevent.native="onSubmit"
    >
      <el-form-item label="客戶代號" prop="custId">
        <el-input v-model="model.custId" placeholder="客戶代號" />
      </el-form-item>
      <el-form-item>
        <IndexToolPanel :loading="loading" :refs="$refs" @submit="onSubmit" />
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
import entity from './scrips/indexEntity'
import { indexRules } from './scrips/rules'
import { doQuery, setting, getLabelPosition } from '@/utils/common'

export default {
  data() {
    const data = {
      model: entity,
      rules: indexRules,
      loading: false
    }

    return Object.assign(data, setting)
  },
  computed: {
    labelPosition() {
      return getLabelPosition()
    }
  },
  methods: {
    onSubmit() {
      this.$refs.form1.validate((valid) => {
        if (valid) {
          this.loading = true
          const url = '/basic/adjust/manager/index/query'

          doQuery(url, this.model, 10)
            .then(response => {
              if (response.total > 0) {
                this.$router.push({ path: 'list' })
              }
            })
            .all(() => {
              this.loading = false
            })
        } else {
          return false
        }
      })
    }
  }
}
</script>
